import restify from 'restify';
import { Configuration } from 'botbuilder-runtime';
import { IServices, ServiceCollection } from 'botbuilder-runtime-core';
/**
 * Options for runtime restify adapter
 */
export declare type Options = {
    /**
     * Port that server should listen on
     */
    port: number;
};
/**
 * Start a bot using the runtime restify integration.
 *
 * @param applicationRoot application root directory
 * @param settingsDirectory settings directory
 * @param options options bag
 */
export declare function start(applicationRoot: string, settingsDirectory: string, options?: Options): Promise<void>;
/**
 * Create a server using the runtime restify integration.
 *
 * @param services runtime service collection
 * @param configuration runtime configuration
 * @returns a restify server ready to listen for connections
 */
export declare function makeServer(services: ServiceCollection<IServices>, configuration: Configuration): Promise<restify.Server>;
//# sourceMappingURL=index.d.ts.map